Bug 601908 - Review Request: perl-App-SVN-Bisect - Binary search through svn revisions
Summary: Review Request: perl-App-SVN-Bisect - Binary search through svn revisions
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mark Chappell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-08 20:49 UTC by Xavier Bachelot
Modified: 2010-09-30 17:09 UTC (History)
3 users (show)

Fixed In Version: perl-App-SVN-Bisect-1.0-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-14 15:51:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tremble: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Xavier Bachelot 2010-06-08 20:49:14 UTC
Spec URL: http://www.bachelot.org/fedora/SPECS/perl-App-SVN-Bisect.spec
SRPM URL: http://www.bachelot.org/fedora/SRPMS/perl-App-SVN-Bisect-1.0-1.fc12.src.rpm
Description: This is a command-line tool inspired by "git-bisect", which allows you to perform binary searches among the revisions of a subversion project.

Comment 1 Mark Chappell 2010-06-25 15:00:08 UTC
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
  [x] Versioned MODULE_COMPAT_ Requires
  [x] Non-Versioned CPAN URL tag
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2272463
 [x] Rpmlint output:
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
 [x] Package is not relocatable.
 [x] Buildroot is correct
     Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license. 
     License type: Artistic 2.0
 [-] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     Upstream: d8540f354b27d904eee56cc473542cbc
     SRPM: d8540f354b27d904eee56cc473542cbc
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -static subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [x] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2272463
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2272463
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass

All tests successful.
Files=3, Tests=75,  1 wallclock secs ( 0.02 usr  0.02 sys +  0.22 cusr  0.09 csys =  0.35 CPU)
Result: PASS

=== COMMENTS ===

Looks good, package APPROVED

Comment 2 Xavier Bachelot 2010-06-25 18:43:10 UTC
Thanks for the review.

New Package CVS Request
=======================
Package Name: perl-App-SVN-Bisect
Short Description: Binary search through svn revisions
Owners: xavierb
Branches: F-12 F-13 EL-5 EL-6
InitialCC: perl-sig

Comment 3 Jason Tibbitts 2010-06-26 07:56:54 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Mark Chappell 2010-09-14 15:51:58 UTC
now available in testing closing off review

Comment 5 Fedora Update System 2010-09-14 22:17:54 UTC
perl-App-SVN-Bisect-1.0-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/perl-App-SVN-Bisect-1.0-1.fc12

Comment 6 Fedora Update System 2010-09-14 22:18:01 UTC
perl-App-SVN-Bisect-1.0-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-App-SVN-Bisect-1.0-1.fc13

Comment 7 Fedora Update System 2010-09-14 22:18:06 UTC
perl-App-SVN-Bisect-1.0-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-App-SVN-Bisect-1.0-1.el5

Comment 8 Fedora Update System 2010-09-23 04:54:41 UTC
perl-App-SVN-Bisect-1.0-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-09-23 04:54:54 UTC
perl-App-SVN-Bisect-1.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-09-30 17:09:04 UTC
perl-App-SVN-Bisect-1.0-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.